body {
  display: flex;
  flex-direction: column;
  margin: 20px auto;
  padding: 10px;
  font-family: Futura;
  color: #434343;
}
#grid {
  align-self: center;
}
.row {
  display: flex;
  flex-direction: row;
  margin: 0 auto;
}

#cursor-direction {
  position: fixed;
  right: 0;
  top: 0;
}
.create[data-line] {
  display: block;
}
[data-line="right"]::after {
  content:  "";
  width: 4px;
  right: 0;
  background: #108eb7a8;
  height: 100%;
  position: absolute;
  top:0;
  z-index: 1;
}
[data-line="down"]::after {
  content: "";
  height: 4px;
  bottom: 0;
  left:0;
  right:0;
  background: #108eb7a8;
  position: absolute;
  z-index: 1;
}

.box {
  display: flex;
}
.cell {
  height: 100%;
  width: 100%;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  display: flex;
  height: 80px;
  width: 80px;
  position: relative;
}

.create button {
  height: 100%;
  width: 100%;
  cursor: pointer;
  display: none;
}

.letter.vertical:before {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -7px;
  z-index: 2;
  border-left: 7px solid transparent;
  border-right: 7px solid transparent;
  border-top: 7px solid lightgray;
  transform: translateX(-50%);
}

.letter.horizontal:before {
  content: "";
  position: absolute;
  top: 50%;
  right: -7px;
  z-index: 2;
  border-top: 7px solid transparent;
  border-bottom: 7px solid transparent;
  border-left: 7px solid lightgray;
  transform: translateY(-50%);
}

#create {
  margin-right: 60px;
  border: 1px solid lightgrey;
  padding: 15px 30px;
  display: none;
}

#create + .grid-view .cell {
  border: 1px solid lightgrey;
}

.create {
  height: 100%;
  width: 100%;
  display: none;
}

.cell:hover .create,
.cell .create.selected {
  display: block;
}
.cell:hover button {
  display: block;
}

[name="rows"],
[name="cols"] {
  width: 35px;
  height: 30px;
  border: 1px solid lightgray;
  text-align: right;
  padding: 0 10px;
  text-align: center;
  padding: 0 10px;
  border-top: none;
  border-right: none;
  border-left: none;
}

.definition {
  background: lightblue;
  color: #434343;
  border: 2px solid #108eb752;
  font-size: 9px;
  height: calc(100% - 2px);
  width: calc(100% - 2px);
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  position: relative;
  z-index: 2;
}
.definition div:not(:first-child) {
  border-top: 2px solid #108eb752;
  padding-top: 5px;
}
.definition div {
  padding: 4px;
}

.selected {
  background-color: lightblue;
}

#players {
  display: none;
}
.overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  justify-content: start;
  z-index: 100;
  flex-direction: column;
  display: none;
  align-items: center;
}

[name="playerName"] {
  width: 300px;
  height: 55px;
  font-size: 30px;
  text-align: center;
  border: 2px solid lightgrey;
  border-radius: 5px;
  margin-top: 40px;
}

.overlay.show {
  display: flex;
}

#players {
  width: 200px;
  margin: 0 20px;
}

.wrapper {
  display: flex;
  flex-direction: row;
  margin: 0 auto;
}

.color {
  width: 20px;
  height: 20px;
  border-radius: 4px;
  float: right;
}

#players div {
  border-bottom: 1px solid lightgray;
  padding: 5px 10px;
}

.overlay.show ~ .wrapper {
  filter: blur(5px);
}

.letter {
  border: 1px solid lightgrey;
  border-right: none;
  border-bottom: none;
  font-weight: bold;
  height: 100%;
  width: 100%;
  position: relative;
}

.cell:last-child .letter {
  border-right: 1px solid lightgrey;
}
.row:last-child .letter {
  border-bottom: 1px solid lightgrey;
}

#cellEdit {
  display: none;
}

.word::before {

    content: "";
    position: absolute;
    height: 2px;
    width: 13px;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    background: lightgray;
    border-radius: 50%;
    z-index: 1;
}
/**

.definition div:first-child::after {
  position: absolute;
  content: "";
  width: 40px;
  height: 10px;
  border: 2px solid #b90909;
  border-color: #b90909;
  border-left: none;
  border-bottom: none;
  top: 5px;
  right: -40px;
}

.definition div:first-child:before {
  position: absolute;
  content: "";
  top: 15px;
  right: -47px;
  width: 0;
  height: 0;
  border-left: 8px solid transparent;
  border-right: 8px solid transparent;

  border-top: 8px solid #b90909;
}

.cell:first-child [data-direction="down"]:last-child::after {
  position: absolute;
  content: "";
  width: 10px;
  height: 40px;
  left: 10px;
  bottom: -40px;
  border: 2px solid #b90909;
  border-top: none;
  border-right: none;
}

.cell:first-child [data-direction="down"] div:last-child:before {
  position: absolute;
  content: "";
  bottom: -45px;
  left: 20px;
  width: 0;
  height: 0;
  border-top: 8px solid transparent;
  border-bottom: 8px solid transparent;
  border-left: 8px solid #b90909;
}
*/
.letter input {
  height: 100%;
  width: 100%;
  font-size: 25px;
  text-transform: uppercase;
  line-height: 80px;
  text-align: center;
  border: none;
}

.letter input:focus {
  outline: none;
}
/* Down */
[data-direction="down"]::after {
  position: absolute;
  content: "";
  width: 2px;
  height: 15px;
  left: 50%;
  transform: translateX(-50%);
  bottom: -15px;
  background-color: #b90909;
}
[data-direction="down"]::before {
  position: absolute;
  content: "";
  bottom: -18px;
  left: 50%;
  transform: translateX(-50%);
  width: 0;
  height: 0;
  border-left: 7px solid transparent;
  border-right: 7px solid transparent;
  border-top: 7px solid #b90909;
}
/* Down Right */

[data-direction="down-right"]:last-child::after {
  position: absolute;
  content: "";
  width: 10px;
  height: 40px;
  left: 10px;
  bottom: -42px;
  border: 2px solid #b90909;
  border-top: none;
  border-right: none;
}

[data-direction="down-right"]:last-child:before {
  position: absolute;
  content: "";
  bottom: -48px;
  left: 20px;
  width: 0;
  height: 0;
  border-top: 7px solid transparent;
  border-bottom: 7px solid transparent;
  border-left: 7px solid #b90909;
}

/* Right */

[data-direction="right"]::after {
  position: absolute;
  content: "";
  width: 15px;
  height: 2px;
  right: -15px;
  top: 20px;
  background: #b90909;
  border-top: none;
  border-right: none;
}

[data-direction="right"]::before {
  position: absolute;
  content: "";
  right: -20px;
  width: 0;
  height: 0;
  top: 15px;
  border-top: 7px solid transparent;
  border-bottom: 7px solid transparent;
  border-left: 7px solid #b90909;
}

/* Right Down*/

[data-direction="right-down"]::after {
  position: absolute;
  content: "";
  width: 40px;
  height: 10px;
  border: 2px solid #b90909;
  border-color: #b90909;
  border-left: none;
  border-bottom: none;
  top: 5px;
  right: -40px;
}

[data-direction="right-down"]::before {
  position: absolute;
  content: "";
  top: 15px;
  right: -46px;
  width: 0;
  height: 0;
  border-left: 7px solid transparent;
  border-right: 7px solid transparent;
  border-top: 7px solid #b90909;
}

/* Right and only one*/

[data-direction="right"]:first-child:last-child::before {
  top: 50%;
  transform: translateY(-50%);
}

[data-direction="right"]:first-child:last-child::after {
  top: 50%;
  transform: translateY(-50%);
}
